org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class RemoteReferenceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ecf.osgi.services.remoteserviceadmin.RemoteReferenceNotFoundException

All Implemented Interfaces:
  Serializable

    public class RemoteReferenceNotFoundException
    extends Exception

Exception class for the case when no remote reference is found during `RemoteServiceAdmin.importService(org.osgi.service.remoteserviceadmin.EndpointDescription)` . Instances of this class will be thrown when the call to `IRemoteServiceContainerAdapter.getRemoteServiceReferences(ID, ID[], String, String)` made in `RemoteServiceAdmin.importService(org.osgi.service.remoteserviceadmin.EndpointDescription)` fail to find any available remote references (e.g. due to connection problem or remote reference lookup problem).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteReferenceNotFoundException(ID targetID, ID[] idFilter, Collection<String> interfaces, String rsFilter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID[]` `getIdFilter()`
`Collection<String>` `getInterfaces()`
`String` `getRsFilter()`
`ID` `getTargetID()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteReferenceNotFoundException

    public RemoteReferenceNotFoundException(ID targetID,
                                            ID[] idFilter,
                                            Collection<String> interfaces,
                                            String rsFilter)

### Method Detail

#### getTargetID

    public ID getTargetID()

#### getIdFilter

    public ID[] getIdFilter()

#### getInterfaces

    public Collection<String> getInterfaces()

#### getRsFilter

    public String getRsFilter()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`